import React from 'react';
import ProfileForm from './ProfileForm';

// Define Form class that manages the data
class Form {
  firstName: string;
  lastName: string;
  age: number;
  passportNumber: string;

  constructor(firstName: string, lastName: string, age: number, passportNumber: string) {
    this.firstName = firstName;
    this.lastName = lastName;
    this.age = age;
    this.passportNumber = passportNumber;
  }

  // Method to get form data as props
  getFormData() {
    return {
      firstName: this.firstName,
      lastName: this.lastName,
      age: this.age,
      passportNumber: this.passportNumber,
    };
  }
}

export default function FormWrapper() {
  // Instantiate the Form class with sample data
  const formInstance = new Form('John', 'Doe', 30, 'A1234567');

  // Pass the data to ProfileForm as props
  return (
    <ProfileForm
      username="johndoe"
      firstName={formInstance.firstName}
      lastName={formInstance.lastName}
      email="john@example.com"
      country="USA"
      city="New York"
      region="NY"
      postalCode="10001"
      about="Software Developer"
    />
  );
}
